/* ====================================================================
 * Copyright (c) 2003-2007, Martin Hauner
 *                          http://subcommander.tigris.org
 *
 * Subcommander is licensed as described in the file doc/COPYING, which
 * you should have received as part of this distribution.
 * ====================================================================
 */

#ifndef _FILE_TEST_H
#define _FILE_TEST_H

#include <cppunit/TestFixture.h>
#include <cppunit/extensions/HelperMacros.h>
class File;

class FileTest : public CppUnit::TestFixture
{
  CPPUNIT_TEST_SUITE( FileTest );
  CPPUNIT_TEST( testOpen );
  CPPUNIT_TEST( testMMap );
  CPPUNIT_TEST_SUITE_END(); 

public:
  void setUp();
  void tearDown();

  // Tests
  void testOpen();
  void testMMap();

private:
  File* _fileExists;
  File* _fileNoFile;
};

#endif // _FILE_TEST_H
